AbstractCommitSessionValve (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.modules.session.catalina, class: AbstractCommitSessionValve

Package org.apache.geode.modules.session.catalina

# Class AbstractCommitSessionValve<SelfT extends AbstractCommitSessionValve<?>>

java.lang.Object
org.apache.catalina.util.LifecycleBase
org.apache.catalina.util.LifecycleMBeanBase
org.apache.catalina.valves.ValveBase
org.apache.geode.modules.session.catalina.AbstractCommitSessionValve<SelfT>

All Implemented Interfaces:
  `MBeanRegistration`, `org.apache.catalina.Contained`, `org.apache.catalina.JmxEnabled`, `org.apache.catalina.Lifecycle`, `org.apache.catalina.Valve`

Direct Known Subclasses:
  `Tomcat10CommitSessionValve`

public abstract class AbstractCommitSessionValve<SelfT extends AbstractCommitSessionValve<?>> extends org.apache.catalina.valves.ValveBase

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.apache.catalina.Lifecycle

  `org.apache.catalina.Lifecycle.SingleUse`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static final String`
  `info`

  ### Fields inherited from class org.apache.catalina.valves.ValveBase

  `asyncSupported, container, containerLog, next, sm`

  ### Fields inherited from interface org.apache.catalina.Lifecycle

  `AFTER_DESTROY_EVENT, AFTER_INIT_EVENT, AFTER_START_EVENT, AFTER_STOP_EVENT, BEFORE_DESTROY_EVENT, BEFORE_INIT_EVENT, BEFORE_START_EVENT, BEFORE_STOP_EVENT, CONFIGURE_START_EVENT, CONFIGURE_STOP_EVENT, PERIODIC_EVENT, START_EVENT, STOP_EVENT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected static <SelfT extends AbstractCommitSessionValve<?>>
  void`
  `commitSession(org.apache.catalina.connector.Request request)`
  Commit session only if DeltaSessionManager is in place.
  `void`
  `invoke(org.apache.catalina.connector.Request request, org.apache.catalina.connector.Response response)`

  ### Methods inherited from class org.apache.catalina.valves.ValveBase

  `backgroundProcess, getContainer, getDomainInternal, getNext, getObjectNameKeyProperties, initInternal, isAsyncSupported, setAsyncSupported, setContainer, setNext, startInternal, stopInternal, toString`

  ### Methods inherited from class org.apache.catalina.util.LifecycleMBeanBase

  `destroyInternal, getDomain, getObjectName, postDeregister, postRegister, preDeregister, preRegister, register, setDomain, unregister, unregister`

  ### Methods inherited from class org.apache.catalina.util.LifecycleBase

  `addLifecycleListener, destroy, findLifecycleListeners, fireLifecycleEvent, getState, getStateName, getThrowOnFailure, init, removeLifecycleListener, setState, setState, setThrowOnFailure, start, stop`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### info

    protected static final String info
    See Also:
      - Constant Field Values

- ## Method Details

  - ### invoke

    public void invoke(org.apache.catalina.connector.Request request, org.apache.catalina.connector.Response response) throws IOException, jakarta.servlet.ServletException
    Throws:
      `IOException`
      `jakarta.servlet.ServletException`

  - ### commitSession

    protected static <SelfT extends AbstractCommitSessionValve<?>> void commitSession(org.apache.catalina.connector.Request request)
    Commit session only if DeltaSessionManager is in place.
    Type Parameters:
      `SelfT` - the type of AbstractCommitSessionValve being used by the DeltaSessionManager
    Parameters:
      `request` - to commit session from.